Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81305 - gnome-terminal autorepeat is balky
Summary: gnome-terminal autorepeat is balky
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vte
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-07 22:04 UTC by John Verel
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-09 18:44:41 UTC


Attachments (Terms of Use)

Description John Verel 2003-01-07 22:04:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Holding a key (Control-D, say) results in slow, uneven, response.  Cursor
position shown on screen greatly lags true position.  

Version-Release number of selected component (if applicable):gnome-terminal-2.0.1-5


How reproducible:
Always

Steps to Reproduce:
1.Run mutt within gnome-terminal, using vim as editor
2.Proceed to index display, threaded, threads collapsed, sorted alpha.
3.Find greatly filled folder (redhat-list, say ;)
4.Press and hold Control-D to delete many threads.
    

Actual Results:  Displayed cursor greatly lags true position.

Expected Results:  Cursor should have been in synch with display

Additional info:

Tried same above in Xterm.  No problem there.  New behavior with upgrade to 8.0.

Comment 1 John Verel 2003-01-08 13:41:23 UTC
From Phoebe list exchange, for the record:

On 01/07/03 18:46 -0500, Havoc Pennington wrote:

> I meant to hold down a key (in gtk-demo) and see if it repeats as you expect.
> You probably have to open the "textview" demo from the list on the
> left to get an editable text widget.

Did that.  Worked fine.

>
> (Or do you only see the slowness in the mutt situation? if so
> nevermind.)

Did the following.  Paged file xchatlist.060502, size 806998, using
less, in gnome-terminal and in xterm, holding Page Down key.
gnome-terminal exhibited balky, herkey-jerky (that's computer jargon,
sorry ;) motion referred to earlier.

John

Comment 2 Michael Lee Yohe 2003-01-08 13:53:22 UTC
Reporter, what is your "rpm -q vte"?

Comment 3 John Verel 2003-01-08 14:30:35 UTC
As requested:

Name        : vte                          Relocations: (not relocateable)
Version     : 0.8.19                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Thu 05 Sep 2002 04:51:58
PM EDT
Install date: Mon 21 Oct 2002 09:43:05 PM EDT      Build Host:
astest.test.redhat.com
Group       : User Interface/X              Source RPM: vte-0.8.19-1.src.rpm
Size        : 1029781                          License: LGPL
Signature   : DSA/SHA1, Thu 05 Sep 2002 04:59:25 PM EDT, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>

John

Comment 4 Ray Strode [halfline] 2004-11-09 18:44:41 UTC
This seems quite responsive now.  Closing...


Note You need to log in before you can comment on or make changes to this bug.